searchNodes=[{"ref":"PasswordValidator.html","title":"PasswordValidator","type":"module","doc":"Primary interface to PasswordValidator. The two main methods are validate/3 and validate_password/2. Examples iex&gt; opts = [ ...&gt; length: [max: 6], ...&gt; ] iex&gt; PasswordValidator.validate_password(&quot;too_long&quot;, opts) {:error, [&quot;String is too long. 8 but maximum is 6&quot;]} iex&gt; opts = [ ...&gt; length: [min: 5, max: 30], ...&gt; character_set: [ ...&gt; lower_case: 1, # at least one lower case letter ...&gt; upper_case: [3, :infinity], # at least three upper case letters ...&gt; numbers: [0, 4], # at most 4 numbers ...&gt; special: [0, 0], # no special characters allowed ...&gt; ] ...&gt; ] iex&gt; changeset = Ecto.Changeset.change({%{password: &quot;Simple_pass12345&quot;}, %{}}, %{}) iex&gt; changeset = PasswordValidator.validate(changeset, :password, opts) iex&gt; changeset.errors [password: {&quot;Too many special (1 but maximum is 0)&quot;, []}, password: {&quot;Too many numbers (5 but maximum is 4)&quot;, []}, password: {&quot;Not enough upper_case characters (only 1 instead of at least 3)&quot;, []}]"},{"ref":"PasswordValidator.html#validate/3","title":"PasswordValidator.validate/3","type":"function","doc":""},{"ref":"PasswordValidator.html#validate_password/2","title":"PasswordValidator.validate_password/2","type":"function","doc":""},{"ref":"PasswordValidator.Validator.html","title":"PasswordValidator.Validator","type":"behaviour","doc":"Specifies the behaviour needed to implement a custom (or built-in) validator."},{"ref":"PasswordValidator.Validator.html#return_errors_or_ok/1","title":"PasswordValidator.Validator.return_errors_or_ok/1","type":"function","doc":""},{"ref":"PasswordValidator.Validator.html#c:validate/2","title":"PasswordValidator.Validator.validate/2","type":"callback","doc":"Validate the given string and return :ok or {:error, errors} where errors is a list."},{"ref":"PasswordValidator.Validators.CharacterSetValidator.html","title":"PasswordValidator.Validators.CharacterSetValidator","type":"module","doc":"Validates a password by checking the different types of characters contained within."},{"ref":"PasswordValidator.Validators.CharacterSetValidator.html#do_validate_character_set/3","title":"PasswordValidator.Validators.CharacterSetValidator.do_validate_character_set/3","type":"function","doc":""},{"ref":"PasswordValidator.Validators.CharacterSetValidator.html#validate/2","title":"PasswordValidator.Validators.CharacterSetValidator.validate/2","type":"function","doc":"Example config [ character_set: [ upper_case: [1, :infinity], lower_case: 1, numbers: 1, special: [0, 0], allowed_special_characters: &quot;!@#$%^&amp;*()&quot;, ] ]"},{"ref":"PasswordValidator.Validators.CharacterSetValidator.html#validate_character_set/3","title":"PasswordValidator.Validators.CharacterSetValidator.validate_character_set/3","type":"function","doc":""},{"ref":"PasswordValidator.Validators.LengthValidator.html","title":"PasswordValidator.Validators.LengthValidator","type":"module","doc":"Validates a password by checking the length of the password."},{"ref":"PasswordValidator.Validators.LengthValidator.html#validate/2","title":"PasswordValidator.Validators.LengthValidator.validate/2","type":"function","doc":"Validate the password by checking the length Example config (min 5 characters, max 9 characters): [ length: [ min: 5, max: 9, ] ] Examples iex&gt; LengthValidator.validate(&quot;simple2&quot;, [length: [min: 3]]) :ok iex&gt; LengthValidator.validate(&quot;too_short&quot;, [length: [min: 10]]) {:error, [&quot;String is too short. Only 9 characters instead of 10&quot;]} iex&gt; LengthValidator.validate(&quot;too_long&quot;, [length: [min: 3, max: 6]]) {:error, [&quot;String is too long. 8 but maximum is 6&quot;]}"}]